<!--
 * @Author: zwq
 * @Date: 2021-11-18 14:16:25
 * @LastEditors: zwq
 * @LastEditTime: 2023-07-03 10:45:12
 * @Description:
-->
<template>
  <el-descriptions title="">
    <el-descriptions-item label="描述">{{ dataInfo }}</el-descriptions-item>
  </el-descriptions>
</template>

<script>
export default {
  data() {
    return {
      dataInfo: "",
    };
  },
  methods: {
    init(id) {
      const param = {
        startEightDisciplineId: id,
        limit: 10,
        page: 1,
      };
      this.$nextTick(() => {
        this.$http
          .get("/code/startEightDisciplinePreventRecurrence/page", {
            params: param,
          })
          .then(({ data: res }) => {
            this.dataListLoading = false;
            if (res.code !== 0) {
              this.dataInfo = "";
              return this.$message.error(res.msg);
            }
            this.dataInfo = res.data.list[0]?.description;
          })
          .catch(() => {});
      });
    },
  },
};
</script>
